ONVIF::Analytics::Types::SystemCapabilitiesExtension(3)

NAME
ONVIF::Analytics::Types::SystemCapabilitiesExtension

DESCRIPTION
Perl data type class for the XML Schema defined complexType SystemCapabilitiesExtension from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   HttpFirmwareUpgrade

•   HttpSystemBackup

•   HttpSystemLogging

•   HttpSupportInformation

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Analytics::Types::SystemCapabilitiesExtension
   HttpFirmwareUpgrade =>  $some_value, # boolean
   HttpSystemBackup =>  $some_value, # boolean
   HttpSystemLogging =>  $some_value, # boolean
   HttpSupportInformation =>  $some_value, # boolean
   Extension =>  { # ONVIF::Analytics::Types::SystemCapabilitiesExtension2
   },
 },

AUTHOR
Generated by SOAP::WSDL